apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"forklift.konveyor.io/v1beta1","kind":"Plan","metadata":{"annotations":{},"name":"plan-cold-win2022","namespace":"openshift-mtv"},"spec":{"map":{"network":{"name":"networkmap-v8-host","namespace":"openshift-mtv"},"storage":{"name":"storagemap-v8-host","namespace":"openshift-mtv"}},"preserveStaticIPs":false,"provider":{"destination":{"name":"host","namespace":"openshift-mtv"},"source":{"name":"v8-host-49","namespace":"openshift-mtv"}},"pvcNameTemplateUseGenerateName":true,"skipGuestConversion":false,"targetNamespace":"openshift-mtv","useCompatibilityMode":true,"vms":[{"id":"7","name":"mtv-win2022"}],"warm":false}}
    populatorLabels: "True"
  creationTimestamp: "2025-09-28T03:42:55Z"
  generation: 1
  name: plan-cold-win2022
  namespace: openshift-mtv
  resourceVersion: "11609136"
  uid: 63e79a3c-48c0-45d1-a875-0b72d75b87de
spec:
  map:
    network:
      name: networkmap-v8-host
      namespace: openshift-mtv
    storage:
      name: storagemap-v8-host
      namespace: openshift-mtv
  migrateSharedDisks: true
  preserveStaticIPs: false
  provider:
    destination:
      name: host
      namespace: openshift-mtv
    source:
      name: v8-host-49
      namespace: openshift-mtv
  pvcNameTemplateUseGenerateName: true
  skipGuestConversion: false
  targetNamespace: openshift-mtv
  useCompatibilityMode: true
  vms:
  - id: "7"
    name: mtv-win2022
  warm: false
status:
  conditions:
  - category: Required
    lastTransitionTime: "2025-09-28T03:45:50Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  - category: Advisory
    durable: true
    lastTransitionTime: "2025-09-28T06:11:28Z"
    message: The plan execution has FAILED.
    status: "True"
    type: Failed
  migration:
    completed: "2025-09-28T06:11:28Z"
    history:
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-09-28T03:53:30Z"
        message: The plan execution has FAILED.
        status: "True"
        type: Failed
      map:
        network:
          generation: 2
          name: networkmap-v8-host
          namespace: openshift-mtv
          uid: 7da31d1a-4a21-4612-ae2a-1c3890e80071
        storage:
          generation: 3
          name: storagemap-v8-host
          namespace: openshift-mtv
          uid: 580d702e-079d-4cbd-be05-3a06d3d653ff
      migration:
        generation: 1
        name: migration-v8-host
        namespace: openshift-mtv
        uid: f0113ed5-4c5d-4c26-9a5c-254ff9da8e54
      plan:
        generation: 1
        name: plan-cold-win2022
        namespace: openshift-mtv
        uid: 63e79a3c-48c0-45d1-a875-0b72d75b87de
      provider:
        destination:
          generation: 1
          name: host
          namespace: openshift-mtv
          uid: a38ccf96-2110-45c1-897c-58ad09704f88
        source:
          generation: 1
          name: v8-host-49
          namespace: openshift-mtv
          uid: 66678be9-9215-4af7-97a9-47e89b001732
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-09-28T06:11:28Z"
        message: The plan execution has FAILED.
        status: "True"
        type: Failed
      map:
        network:
          generation: 2
          name: networkmap-v8-host
          namespace: openshift-mtv
          uid: 7da31d1a-4a21-4612-ae2a-1c3890e80071
        storage:
          generation: 3
          name: storagemap-v8-host
          namespace: openshift-mtv
          uid: 580d702e-079d-4cbd-be05-3a06d3d653ff
      migration:
        generation: 1
        name: migration-win2022
        namespace: openshift-mtv
        uid: d7c6aaa6-994a-4260-bc76-c3df88ad467e
      plan:
        generation: 1
        name: plan-cold-win2022
        namespace: openshift-mtv
        uid: 63e79a3c-48c0-45d1-a875-0b72d75b87de
      provider:
        destination:
          generation: 1
          name: host
          namespace: openshift-mtv
          uid: a38ccf96-2110-45c1-897c-58ad09704f88
        source:
          generation: 1
          name: v8-host-49
          namespace: openshift-mtv
          uid: 66678be9-9215-4af7-97a9-47e89b001732
    started: "2025-09-28T06:10:03Z"
    vms:
    - completed: "2025-09-28T06:11:28Z"
      conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2025-09-28T06:11:25Z"
        message: The VM migration has FAILED.
        status: "True"
        type: Failed
      error:
        phase: ConvertGuest
        reasons:
        - Guest conversion failed. See pod logs for details.
      id: "7"
      luks: {}
      name: mtv-win2022
      phase: Completed
      pipeline:
      - completed: "2025-09-28T06:10:41Z"
        description: Initialize migration.
        name: Initialize
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2025-09-28T06:10:11Z"
      - annotations:
          unit: MB
        completed: "2025-09-28T06:10:59Z"
        description: Allocate disks.
        name: DiskAllocation
        phase: Completed
        progress:
          completed: 16384
          total: 16384
        started: "2025-09-28T06:10:44Z"
        tasks:
        - annotations:
            unit: MB
          completed: "2025-09-28T06:10:59Z"
          name: '[mtv-nfs-27] mtv-win2022/mtv-win2022.vmdk'
          phase: Completed
          progress:
            completed: 16384
            total: 16384
          reason: Transfer completed.
          started: "2025-09-28T06:10:55Z"
      - completed: "2025-09-28T06:11:25Z"
        description: Convert image to kubevirt.
        error:
          phase: Running
          reasons:
          - Guest conversion failed. See pod logs for details.
        name: ImageConversion
        phase: Running
        progress:
          completed: 0
          total: 1
        started: "2025-09-28T06:11:00Z"
      - annotations:
          unit: MB
        description: Copy disks.
        name: DiskTransferV2v
        phase: Pending
        progress:
          completed: 0
          total: 16384
        tasks:
        - annotations:
            unit: MB
          name: '[mtv-nfs-27] mtv-win2022/mtv-win2022.vmdk'
          progress:
            completed: 0
            total: 16384
      - description: Create VM.
        name: VirtualMachineCreation
        phase: Pending
        progress:
          completed: 0
          total: 1
      restorePowerState: "On"
      started: "2025-09-28T06:10:11Z"
  observedGeneration: 1
